# Project

### Fields

#### availableCountries (\[[String](/graphql-api/api-reference/objects/string.md)!]!)

The available countries for this project

#### availableCountryStates ([JSON](/graphql-api/api-reference/objects/json.md)!)

The available states per country for this project

#### currency ([String](/graphql-api/api-reference/objects/string.md)!)

The currency of the project

#### currentStock ([Int](/graphql-api/api-reference/objects/int.md))

The current stock of a project

#### discountCodes (\[[DiscountCode](/graphql-api/api-reference/objects/discount-code.md)!])

The available discount codes for this project

#### dynamicOrderStrategy ([String](/graphql-api/api-reference/objects/string.md)!)

The type of the dynamic order strategy for this project

#### extraFields (\[[ExtraField](/graphql-api/api-reference/objects/extra-field.md)!])

The extra fields for this project

#### freeShipmentFromCents ([Int](/graphql-api/api-reference/objects/int.md))

The threshold that will make shipment free in cents (works in combination with Firmhouse shipping methods)

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

ID to identify the project with

#### licence ([Licence](/graphql-api/api-reference/objects/licence.md))

Licence

#### name ([String](/graphql-api/api-reference/objects/string.md)!)

The name of the project

#### paymentProvider ([String](/graphql-api/api-reference/objects/string.md))

The payment provider of this project

#### plans (\[[Plan](/graphql-api/api-reference/objects/plan.md)!]!)

The available plans for this project

#### productImageUrl ([String](/graphql-api/api-reference/objects/string.md))

Image of the main product of the project

#### productName ([String](/graphql-api/api-reference/objects/string.md))

Name of the main product of the project

#### products (\[[Product](/graphql-api/api-reference/objects/product.md)!]!)

The available products for this project

#### projectType ([String](/graphql-api/api-reference/objects/string.md))

The type of the project

#### promotions (\[[Promotion](/graphql-api/api-reference/objects/promotion.md)!]!)

The available promotions for this project

#### ~~shippingCostsCents (~~[~~Int~~](/graphql-api/api-reference/objects/int.md)~~)~~

*`Deprecated: Will be removed.`*

#### ~~shippingCostsExclTaxCents (~~[~~Int~~](/graphql-api/api-reference/objects/int.md)~~)~~

*`Deprecated: Will be removed.`*

#### subscriptionLimitEnabled ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether the amount of subscriptions is limited

#### taxRates (\[[TaxRate](/graphql-api/api-reference/objects/tax-rate.md)!]!)

The available tax rates for this project

#### token ([ID](/graphql-api/api-reference/objects/id.md)!)

Token to identify the project with

#### twoStepCancellationEnabled ([Boolean](/graphql-api/api-reference/objects/boolean.md))

Whether two-step cancellation is enabled for this project

#### twoStepSignupEnabled ([Boolean](/graphql-api/api-reference/objects/boolean.md)!)

Whether two step signup is enabled for this project

#### updatedAt ([String](/graphql-api/api-reference/objects/string.md))

Project last updated since


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
